#!/usr/bin/python


import os
import sys
import re

from wiki import *

instructions="Usage : download.py chapXX.tex"

if len(sys.argv) < 2:
    print(instructions);
    sys.exit(1);

for num in sys.argv[1:]:
    if not re.match("chap[0-9]{2}[a-z]?.*", num):
        print(instructions);
        sys.exit(1);

    num = re.sub(r".*([0-9]{2}[a-z]?).*", r"\1", num);
    download_page(num);
    wiki_to_latex(num);
